# Function storageSize

- storageSize(dataType, userDefinedTypes?, allocations?, compiler?): StorageLength

- #### Parameters

  - ##### dataType: Type

  - ##### `Optional` userDefinedTypes: TypesById

  - ##### `Optional` allocations: StorageAllocations

  - ##### `Optional` compiler: CompilerVersion

  #### Returns StorageLength

  - Defined in codec/lib/storage/allocate/index.ts:445

Generated using TypeDoc